﻿using CallCenter.Calls;
using static CallCenter.Caches.CallCacheManager;

namespace CallCenter.Caches
{
    public interface ICallCacheManager
    {
        List<CallDtoRedis> GetCallQueueList();

        int GetCallQueueList(string groupNo);
        void AddCallCache(Call call,string groupNo);

        int GetCallQueueListByTrunk(string trunk);

        void RemoveCallCache(string id);
    }
}
